$$
A_F(x)= xF_1+x^2F_2+x^3F_3\cdots
$$

$$
xA_F(x)= \; x^2F_1+x^3F_2+x^4F_3+\cdots
$$

$(1)+(2)$, and consider that $F_1=F_2$, then we have
$$
(1+x)A_F(x)=xF_2+x^2F_2+x^3F_3+\cdots
$$
so
$$
x(1+x)A_F(x)=A_F(x)-xF_1
$$
then
$$
A_F(x)=\frac{x}{1-x-x^2}
$$
we want that $A_F(x)$ could be a nature number, so let
$$
\frac{x}{1-x-x^2}=n
$$
then
$$
nx^2+(n+1)x-n=0
$$
solve this, get
$$
x=\frac{\sqrt{5n^2+2n+1}-(n+1)}{2n}
$$
only $5n^2+2n+1$ is square number that can make x to be a rational.

let's try to analyse how $n$ increasing when $5n^2+2n+1$ is square number.

| n          | increasing rate of n |
| ---------- | -------------------- |
| 2          |                      |
| 15         | 7.5                  |
| 104        | 6.933333333          |
| 714        | 6.865384615          |
| 4895       | 6.855742297          |
| 33552      | 6.854341164          |
| 229970     | 6.854136862          |
| 1576239    | 6.854107057          |
| 10803704   | 6.854102709          |
| 74049690   | 6.854102075          |
| 507544127  | 6.854101982          |
| 3478759200 | 6.854101969          |

it is obvious that the rate of $n$ is converge to $6.8541\cdots$ . with using search engein we know $\varphi^4=6.8541\cdots$ and $\varphi=\frac{\sqrt{5}-1}{2}$.